%define ocamlpck  aacplus

Name:          ocaml-aacplus
Version:       0.2.2
Release:       3mamba
Summary:       OCaml bindings for libaacplus
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/savonet/ocaml-aacplus
Source:        https://github.com/savonet/ocaml-aacplus.git/%{version}/ocaml-aacplus-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaacplus-devel
BuildRequires: libfftw-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: pkg-config

%description
This package contains an OCaml interface for the AAC+ encoding library, otherwise known as libaacplus. 

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%global __requires_exclude ^ocaml.*Aacplus_dynlink.*$

./bootstrap

%build
%configure \
   --host= \
   LDFLAGS="-L%{_libdir}"

%make -j1
%make -j1 doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export OCAMLFIND_DESTDIR=%{buildroot}$(ocamlfind printconf destdir)
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs

install -d $OCAMLFIND_DESTDIR/%{ocamlpck}
install -d $OCAMLFIND_DESTDIR/stublibs

make install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/META
%{_libdir}/ocaml/%{ocamlpck}/*.cma
%{_libdir}/ocaml/%{ocamlpck}/*.cmi
%{_libdir}/ocaml/%{ocamlpck}/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES README
%doc doc/html/

%changelog
* Sat Jul 08 2023 Sdk Build System <sdk@mambasoft.it> 0.2.2-3mamba
- rebuilt with ocaml 4.14.1

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2mamba
- exclude unclear automatic requirement for ocaml(Aacplus_dynlink)

* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Tue Jun 25 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.1-1mamba
- package created by autospec
